Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class FixedSignature

    java.lang.Object
      jif.types.FixedSignature

All Implemented Interfaces:
  DefaultSignature

    public class FixedSignature

extends java.lang.Object
implements DefaultSignature

Constructor Summary
`FixedSignature(JifTypeSystem ts)`

Method Summary
`Label` | `defaultArgBound(polyglot.ast.Formal f)`
`Label` | `defaultFieldLabel(polyglot.ast.FieldDecl fd)`
`Label` | `defaultReturnLabel(polyglot.ast.ProcedureDecl pd)`
`Label` | `defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)`
`Label` | `defaultStartLabel(polyglot.util.Position pos, java.lang.String methodName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSignature

    public FixedSignature(JifTypeSystem ts)

Method Detail

### defaultStartLabel

    public Label defaultStartLabel(polyglot.util.Position pos,
                                   java.lang.String methodName)

  Specified by:
    `defaultStartLabel` in interface `DefaultSignature`

### defaultArgBound

    public Label defaultArgBound(polyglot.ast.Formal f)

  Specified by:
    `defaultArgBound` in interface `DefaultSignature`

### defaultReturnLabel

    public Label defaultReturnLabel(polyglot.ast.ProcedureDecl pd)

  Specified by:
    `defaultReturnLabel` in interface `DefaultSignature`

### defaultReturnValueLabel

    public Label defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)

  Specified by:
    `defaultReturnValueLabel` in interface `DefaultSignature`

### defaultFieldLabel

    public Label defaultFieldLabel(polyglot.ast.FieldDecl fd)

  Specified by:
    `defaultFieldLabel` in interface `DefaultSignature`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD